# SolarEnergy
A project to optimize solar energy production and consumption. It connect to a current meter to decides whether some appliances controlled by relays shall be turned on or not, based on criterias such as:
* Minimal uptime
* Minimal downtime
* Daily minimal runtime
* Estimated consumption
* Dependencies, conflicts

## Components
* [`central_backend`](./central_backend): The core component that connects all the other one and make the decisions to turn on or off devices
* [`central_frontend`](./central_frontend): Web UI to configure the devices and monitor them
* [`custom_consumtion`](./custom_consumption): Development tool used to test different production values
* [`esp32_device`](./esp32_device/): The code installed in the MCU that controls relays (Wt32-Eth01 devices)
* [`python_device`](./python_device/): An alternative to the esp32 to control relays. Not production ready.

## Documentation
* [Setup for development](./docs/SETUP_DEV.md) guide
* [Setup for production](./docs/SETUP_PROD.md) guide