use crate::server::custom_error::HttpResult;
use crate::utils::time_utils::time_millis;
use actix_web::HttpResponse;

#[derive(serde::Serialize)]
pub struct CurrTime {
    time_ms: u128,
}

/// Get current time
pub async fn curr_time() -> HttpResult {
    Ok(HttpResponse::Ok().json(CurrTime {
        time_ms: time_millis(),
    }))
}
