import { Card, Paper, Typography } from "@mui/material";

export function DeviceRouteCard(
  p: React.PropsWithChildren<{ title: string; actions?: React.ReactElement }>
): React.ReactElement {
  return (
    <Card component={Paper}>
      <div
        style={{
          display: "flex",
          flexDirection: "row",
          justifyContent: "space-between",
          alignItems: "center",
        }}
      >
        <Typography variant="h6" style={{ padding: "6px" }}>
          {p.title}
        </Typography>
        {p.actions}
      </div>
      {p.children}
    </Card>
  );
}
