import { SemVer } from "semver";
import { LenConstraint } from "../api/ServerApi";

/**
 * Check whether a string length is valid or not
 */
export function lenValid(s: string, c: LenConstraint): boolean {
  return s.length >= c.min && s.length <= c.max;
}

/**
 * Check out whether a given version number respect semantics requirements or not
 */
export function checkVersion(v: string): boolean {
  try {
    new SemVer(v, { loose: false });
    return true;
  } catch (e) {
    console.error(e);
    return false;
  }
}
