/**
 * Relays management
 */

#pragma once

#include <stddef.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Get the max number of relays
     */
    int relays_count();

    /**
     * Configure the relays
     */
    void relays_setup();

    /**
     * Turn off all relays
     */
    void relays_turn_off_all();

    /**
     * Turn on / off a relay
     */
    void relays_set(int number, bool is_on);

#ifdef __cplusplus
}
#endif
