/**
 * Unsecure API functions
 */

#pragma once

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Get secure origin
     *
     * @returns The URL to the secure origin or NULL in case of failure. Value must be
     * released by caller.
     */
    char *unsecure_api_get_secure_origin();

    /**
     * Get root CA
     *
     * @returns The root CA or NULL in case of failure. Value must be
     * released by caller.
     */
    char *unsecure_api_get_root_ca();

#ifdef __cplusplus
}
#endif
